#eureka client配置
eureka:
  client.serviceUrl.defaultZone: http://admin:prolog00212@192.168.40.138:8761/eureka/
  instance.ipAddress: 192.168.80.102
prolog.tx.url: http://192.168.40.138:7000/tx/manager/
spring:
  application:
    name: upcloud-base-wh-inbound-xiong
  #redis配置
  redis:
    host: 192.168.40.138
    port: 6379
    password: prolog0212
    database: 0
  #链路跟踪
  zipkin:
    sender.type: rabbit
    rabbitmq.queue: trace
  sleuth:
    enable: true
    sampler:
      probability: 1.0
  rabbitmq:
    host: 192.168.40.138
    port: 5672
    username: admin
    password: prolog0212
    virtual-host: /upcloud
    template:
      mandatory: true
#    支持发布确认
    publisher-confirms: true
#    支持发布返回
#    publisher-returns: true
    listener:
      simple:
        acknowledge-mode: manual
        auto-startup: true
        default-requeue-rejected: false
        concurrency: 5
        max-concurrency: 20
        retry:
          enabled: true
        prefetch: 300
  datasource:
    driverClassName: oracle.jdbc.OracleDriver
    url: jdbc:oracle:thin:@192.168.40.137:1521:orcl
    username: upcloud_biz_inbound
    password: upcloud_biz_inbound
    #使用druid数据源
    initialSize: 0 #初始化大小
    minIdle: 5 #最小空閒
    maxActive: 10 #最大連接數
    maxWait: 6000 #最大等待時間
#    minEvictableIdleTimeMillis: 25200000 #最小空闲时间 7小时
#    minEvictableIdleTimeMillis: #最小空闲时间，默认30分钟，如果连接池中非运行中的连接数大于minIdle，并且那部分连接的非运行时间大于minEvictableIdleTimeMillis，则连接池会将那部分连接设置成Idle状态并关闭；也就是说如果一条连接30分钟都没有使用到，并且这种连接的数量超过了minIdle，则这些连接就会被关闭了。
#    maxEvictableIdleTimeMillis: #最大空闲时间，默认7小时，如果minIdle设置得比较大，连接池中的空闲连接数一直没有超过minIdle，这时那些空闲连接是不是一直不用关闭？当然不是，如果连接太久没用，数据库也会把它关闭，这时如果连接池不把这条连接关闭，系统就会拿到一条已经被数据库关闭的连接。为了避免这种情况，Druid会判断池中的连接如果非运行时间大于maxEvictableIdleTimeMillis，也会强行把它关闭，而不用判断空闲连接数是否小于minIdle；
    removeAbandonedTimeoutMillis: 600000 #超时时间 10分钟
#    removeAbandoned: false #是否开启回收策略
#    默认是开启，回收时间是300000 ms
prolog:
  dao:
    dialect: oracle
    performance:
      enable: true
      showSql: true
  security:
    accessTokenValiditySeconds: 3600
    refreshTokenValiditySeconds: 30000
  rabbitmqManage:
    username: admin
    password: prolog0212
    host: 192.168.40.138
  wms:
    print:
      printUrl3: http://116.54.19.104:16819/files/YS_TZ.grf
      printUrl: http://116.54.19.104:16819/files/SJ_BQ.grf
      printUrl2: http://116.54.19.104:16819/files/ZJ_MX.grf
      printUrl4: http://116.54.19.104:16819/files/ZJ_HZ.grf
      printSolution: batch_order.grf
      printSolution1: SJ_BQ.grf
      preview1: false
      printName: null
      printCount: 1
      preview: true

logging:
  config: classpath:log4j2-dev.xml
  level.root: debug

management:
  endpoints:
    web:
      exposure:
        include: '*'
        exclude: shutdown
    endpoint:
      logfile.external-file: /usr/local/logs/upcloud-base-wh-inbound/192.168.40.134.9817/info.log
      health.show-details: always  